GDBserver

Functions
gdb_vecs.c File Reference
`#include "common-defs.h"`
`#include "gdb_vecs.h"`
`#include "host-defs.h"`

Go to the source code of this file.

## Functions
void | free_char_ptr_vec (VEC(char_ptr) *char_ptr_vec)
static void | delim_string_to_char_ptr_vec_append (VEC(char_ptr) **vecp, const char *str, char delimiter)
| VEC (char_ptr)
void | dirnames_to_char_ptr_vec_append (VEC(char_ptr) **vecp, const char *dirnames)

## Function Documentation

## ◆ delim_string_to_char_ptr_vec_append()

static void delim_string_to_char_ptr_vec_append | ( | VEC(char_ptr) ** | vecp,
|  | const char * | str,
|  | char | delimiter
| ) |  |
| static

Definition at line 46 of file gdb_vecs.c.

References delimiter, VEC_safe_push, and xmalloc().

Referenced by dirnames_to_char_ptr_vec_append(), and VEC().

## ◆ dirnames_to_char_ptr_vec_append()

void dirnames_to_char_ptr_vec_append | ( | VEC(char_ptr) ** | vecp,
|  | const char * | dirnames
| ) |  |

Definition at line 94 of file gdb_vecs.c.

References delim_string_to_char_ptr_vec_append(), and DIRNAME_SEPARATOR.

## ◆ free_char_ptr_vec()

void free_char_ptr_vec | ( | VEC(char_ptr) * | char_ptr_vec | ) |

Definition at line 32 of file gdb_vecs.c.

References name, VEC_free, VEC_iterate, and xfree().

Referenced by parse_debug_format_options(), and thread_db_load_search().

## ◆ VEC()

VEC | ( | char_ptr |  | ) |

Definition at line 79 of file gdb_vecs.c.

References delim_string_to_char_ptr_vec_append(), and delimiter.